/***************************************************************************
                          kdrawchemview.cpp  -  description
                             -------------------
    begin                : Mon Jul 15 12:24:12 CDT 2002
    copyright            : (C) 2002 by Adam Tenderholt
    email                : a-tenderholt@northwestern.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// include files for Qt
#include <kprinter.h>
#include <qpainter.h>

// application specific includes
#include "kdrawchemview.h"
#include "kdrawchemdoc.h"
#include "kdrawchem.h"

KDrawChemView::KDrawChemView(QWidget *parent, const char *name) : Render2D(parent, name)
{
  setBackgroundMode(PaletteBase);
}

KDrawChemView::~KDrawChemView()
{
}

KDrawChemDoc *KDrawChemView::getDocument() const
{
  KDrawChemApp *theApp=(KDrawChemApp *) parentWidget();

  return theApp->getDocument();
}

/*void KDrawChemView::print(KPrinter *pPrinter)
{
  QPainter printpainter;
  printpainter.begin(pPrinter);
	
  // TODO: add your printing code here

  printpainter.end();
}*/


#include "kdrawchemview.moc"