/* -*- C++ -*-

Copyright (C) 2000 Francesco Bresciani <fbresciani@users.sourceforge.net>
This file is part of Kemistry

Kemistry is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

Kemistry is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Kemistry; see the file COPYING.  If not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/


#include <kaboutdata.h>
#include <kaboutdialog.h>
#include <kaboutapplication.h>
#include <kapp.h>
#include <kbugreport.h>
#include <kbuttonbox.h>
#include <kglobal.h>
#include <klocale.h>
#include <qpushbutton.h>
#include "kmolcalc.h"
#include "kmolcalcwidget.h"

KMolCalcWin::KMolCalcWin()
{

    KMolCalcWidget * widget = new KMolCalcWidget(this);

    connect(widget->_btnQuit, SIGNAL(clicked()),
            this, SLOT(close()));

    setCentralWidget(widget);
    adjustSize();
}


KMolCalcWin::~KMolCalcWin()
{
}


#include "kmolcalc.moc"
