/* -*- C++ -*-

Copyright (C) 2002 Francesco Bresciani <fbresciani@users.sourceforge.net>
This file is part of Kemistry

Kemistry is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

Kemistry is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Kemistry; see the file COPYING.  If not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef KEMISTRY_OPENBABEL_H
#define KEMISTRY_OPENBABEL_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qstring.h>
#include <qstringlist.h>

//Some useful functions for interfacing Kemistry applications with the
//Open Babel API

namespace Kemistry
{
    void getOBReadMimeTypes(QString& mimetypes);
    void getOBReadMimeTypes(QStringList& mimetypes);

    void getOBWriteMimeTypes(QString& mimetypes);
    void getOBWriteMimeTypes(QStringList& mimetypes);
}

#endif //KEMISTRY_OPENBABEL_H



